
-- 債務の支払い (1行)
CREATE TABLE payments (
  id              serial PRIMARY KEY,
  payment_slip_id int NOT NULL REFERENCES payment_slips (id),

  invoice_id      int NOT NULL REFERENCES invoices (id),

  -- 買掛金科目。買掛金/未払金の区別は、行の生成時にしかできない
  account_title_id int NOT NULL REFERENCES account_titles(id),

  -- 正規化された金額 [通貨=invoiceの]
  amount           int NOT NULL,

  created_at      TIMESTAMP NOT NULL
);
